<?php
/* **************************************************************************** *

 * cor-contents.php								*
 * @version: 	1.0.0								*
 * @package	Core								*
 * @copyright:	Copyright (c) 2007 - 2008 Ragnar.cz. All rights reserved	*
 * @license	GNU/GPL http://www.gnu.org/copyleft/gpl.html			*
 
 * Albireo is free software! This file may have been modified pursuant to the	*
 * GNU General Public License, and as distributed it includes or is derivative	*
 * of works licensed under the GNU General Public License or other free or open	*
 * source software licenses.							*

 This script description:
 Script with php code common to all pages of contents

 Properties:
    array $page			// contains changes for array $page in ScriptPage
 	
 Public Methods:
    none
 	
 * **************************************************************************** */

class Contents {

    public $page = array ( "text" => "" );

    public function __construct ()
    {

    	$this -> page [ "text" ] .= '
    	<link rel="stylesheet" type="text/css" href="styles/cor-contents.css" charset="UTF-8" media="screen" />

 	<script type="text/javascript" src="scripts/cor-contents.js.php"></script>
    	<script type="text/javascript" src="scripts/cor-ajax-change.js"></script>
	<script type="text/javascript" src="scripts/cor-show-form-part.js"></script>

	<div id="usercontrolmenu">
    	    <a href="'. Localization::session () -> getFile ( "cor-web-contents" ) .'" class="floatLeft cor-webContents"><span>'. _( "Web" ) .'</span></a>
    	    <a href="'. Localization::session () -> getFile ( "cor-drive-contents" ) .'" class="floatLeft cor-driveContents"><span>'. _( "Disk" ) .'</span></a>
    	    <img class="invisible" src="styles/cor-admin/web-over.jpg" alt="hidden part of content" />
    	    <img class="invisible" src="styles/cor-admin/drive-over.jpg" alt="hidden part of content" />
    	    <img class="invisible" src="styles/cor-admin/foldernew-over.jpg" alt="hidden part of content" />
    	</div>
    	<hr class="cleaner" />';

	if ( User::session () -> getPrimaryGroup () == 1 ) {
	    $this -> page [ "text" ] .= '<div id="cor-content-warning"><span><img src="styles/cor-admin/bomb.jpg" class="floatLeft" alt="bomb" />
		<p class="floatLeft">'. _( "Pracujete s právy administrátora! Buďte opatrní." ) .'</p>
		<img src="styles/cor-admin/bomb.jpg" class="floatLeft" alt="bomb" /><hr class="cleaner" /></span></div>';
	}

    } // end __construct
}
?>