<?php
/* **************************************************************************** *

 * cor-database.php								*
 * @package	Core								*
 * @copyright:	Copyright (c) 2008 Martin Novák. All rights reserved		*
 * @license	GNU/AGPL http://www.gnu.org/licenses/agpl.html			*
 
 * Albireo is free software! You can redistribute it and/or modify it under	*
 * the terms of the GNU Affero General Public License as published		*
 * by the Free Software Foundation, either version 3 of the License, or		*
 * (at your option) any later version.						*

 *	This program is distributed in the hope that it will be useful,		*
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of		*
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the		*
 *	GNU Affero General Public License for more details.			*

 This script description:
 Page for managing database of Albireo.

 Properties:
    array $page			// contains changes for array $page in ScriptPage
 	
 Public Methods:
    none
 	
 * **************************************************************************** */

class DatabaseCor {

    public $page = array ();

    public function __construct ()
    {
    	$this -> page [ "text" ] = _( '<p>Albireo používá dva typy databází, MySQL a SQLite.</p>' );
    	$this -> page [ "text" ] .= '<div class="actionbar">
    	<img src="styles/cor-admin/db_icon.jpg" class="objectLeft" alt="'. ( "Databáze" ) .'" />
    	<ul>
    	    <li><a href="'. Localization::session () -> getFile ( "cor-mysql-interface" ) .'">'. _( 'MySQL rozhraní' ) .'</a></li>
    	    <li><a href="'. Localization::session () -> getFile ( "cor-mysql-settings" ) .'">'. _( 'Nastavení MySQL' ) .'</a></li>
    	    <li><a href="'. Localization::session () -> getFile ( "cor-mysql-backups" ) .'">'. _( 'Zálohy MySQL' ) .'</a></li>
    	</ul></div><hr class="cleaner" />';
    	// <li><a href="'. Localization::session () -> getFile ( "cor-sqlite-interface" ) .'">'. _( 'SQLite rozhraní' ) .'</a></li>
    	$this -> page [ "text" ] .= _( '<img src="styles/cor-admin/mysql-logo.png" alt="MySQL logo" />
    	<img src="styles/cor-admin/sqlite-logo.gif" alt="SQLite logo" />' );
    } // end __construct

}

$DatabaseCor = new DatabaseCor ();
$page = $DatabaseCor -> page;
?>