<?php
/* **************************************************************************** *

 * cor-mysql-interface.php							*
 * @version: 	1.0.0								*
 * @package	Core								*
 * @copyright:	Copyright (c) 2007 - 2008 Ragnar.cz. All rights reserved	*
 * @license	GNU/GPL http://www.gnu.org/copyleft/gpl.html			*
 
 * Albireo is free software! This file may have been modified pursuant to the	*
 * GNU General Public License, and as distributed it includes or is derivative	*
 * of works licensed under the GNU General Public License or other free or open	*
 * source software licenses.							*

 This script description:
 Page with inteface for cuminicating with SQLite database.

 Properties:
    array $page			// contains changes for array $page in ScriptPage
 	
 Public Methods:
    none
 	
 * **************************************************************************** */

class MySQLInterface {

    public $page = array ();

    public function __construct ()
    {
    	
    	if ( !isset ( $_POST [ "query" ] ) ) {
    	
    	    $sqlite_databases = array ();
    	    $dir = opendir ( "sqlite" );
    	    while ( $file = readdir ( $dir ) ) {
    	    	if ( $file != "." && $file != ".."  ) {
    	    	    $sqlite_databases [] = substr ( $file, 0, -3 ) ;
    	    	}
	    }
	
  	    $this -> page [ "text" ] .= _( "<p>Databázové rozhraní vám umožňuje přímo zadávat SQL příkazy v plném rozsahu, ke kterému máte
    	    uživatelská práva.</p>" )
    	    	."<form action=\"". Tools::getPage () ."\" method=\"post\" enctype=\"application/x-www-form-urlencoded\" class=\"formular\">
    	    	  <fieldset>
  		    ". _( "Zadejte prosím dotaz SQL, který má být proveden" ) .": <br /><br />
  		    <select name=\"database\">";
  	    foreach ( $sqlite_databases as $database ) {
  	    	$this -> page [ "text" ] .= "<option value=\"$database\">$database</option>";
  	    }
  	    $this -> page [ "text" ] .= "
  	    	    </select>
  	    	    <textarea name=\"query\" cols=\"50\" rows=\"10\"></textarea><br /><br />
 		    <input type=\"submit\" value=\"provést příkaz\" />
 		   </fieldset>
  		 </form>";
    	} else {
    	    $sqlite_database = addslashes ( $_POST [ "database" ] );
    	    if ( file_exists ( "sqlite/$sqlite_database.db" ) ) {
	    	if ( !$dbh = @sqlite_open ( "sqlite/$sqlite_database.db", 0666, $sqlite_chyba )  ) {
	    	    Error::ticket () -> notice ( 'cor00023', 'in '.__FILE__.' on line '.__LINE__,$sqlite_chyba );
	    	}
	    } else {
	    	$this -> page [ "text" ] .= _( "<p><strong class=\"warning\">Soubor databáze ". htmlspecialchars ( $sqlite_database ) ." neexistuje!</strong></p>" );
	    	return;
	    }
	    
    	    $query = stripslashes ( $_POST [ "query" ] );
   	    $result = sqlite_single_query ( $dbh, $query ) ;
   	    $this -> page [ "text" ] .= "<p>". _( "Výsledek dotazu" ). ":<br /><strong>".nl2br ( $query )."</strong></p>";
   	    if( $result == false ) {
    		$this -> page [ "text" ] .= "<p><strong class=\"warning\">".mysql_errno ().":".mysql_error ()."</strong>
    		<br /><a href=\"". Tools::getPage () ."\">". _( "Nový dotaz" ) ."</a></p>";
   	    } elseif ( is_array ( $result ) && mysql_num_rows ( $result ) == 0 ) {
    		$this -> page [ "text" ] .= "<p><strong>". _( "Dotaz byl úspěšně proveden!" ). "</strong><br />
    		<a href=\"". Tools::getPage () ."\">". _( "Nový dotaz" ) ."</a></p>";
   	    } else {
   	    	$text = "<table class=\"table\">\n<thead>\n<tr>";
    		for ( $i = 0; $i < @mysql_num_fields ( $result ); $i++ ) {
     		    $text .= "<th>".mysql_field_name ( $result, $i )."</th>";
    		}
   		$text .= "</tr>\n</thead>\n<tbody>";
     		for ( $i = 0;$i < @mysql_num_rows ( $result ); $i++ ) {
      		    $text .= "<tr>";
      		    $row_array = mysql_fetch_row ( $result );
      		    for($j = 0; $j < mysql_num_fields ( $result ); $j++) {
       		  	$text .= "<td>".$row_array[ $j ]. "</td>";
      		    }
      		    $text .= "</tr>";
     		}
   		$text .= "</tbody>\n</table>\n<p><a href=\"". Tools::getPage () ."\">". _( "Nový dotaz" ) ."</a></p>";
   		$this -> page [ "text" ] .= $text;
   	    }
    	}
    } // end __construct

}

$MySQLInterface = new MySQLInterface ();
$page = $MySQLInterface -> page;
?>