<?php
class ext_menu {
    public function extension ( $attrs = null )
    {
	$all_in_one = $attrs [ "articles" ] ? $attrs [ "articles" ] : false;
	if ( !$all_in_one ) {
	    $value = '<?php
			$top = '. ( $attrs [ "directory" ] ? $attrs [ "directory" ] : '( Error::ticket () -> status > 3 ) ? 2 : Page::session () -> getDirectory ()' ) .';;

			function showmenu ( $directory , $recursion = true, $again = true )
			{
			    $this_dir = Page::session () -> getDirectory ();
			    $this_file = Tools::getPage ();

			    $headers = Database::connection () -> fetchall_assoc ( "SELECT title, directory, anchor, file, access, author, groupid FROM header WHERE directory=$directory ORDER BY sequence;" );

			    // check access to found article /////////////////////////////////////////////////
    			    foreach ( $headers as $key => $article ) {
    	   			if ( !SecurityTools::check_read ( $article [ "access" ], $article [ "author" ], $article [ "groupid" ] ) ) {
    	    			    unset ( $headers [ $key ] );
    	    			}
    			    }
    			    reset ( $headers );
    			    //////////////////////////////////////////////////////////////////////////////////

			    $result = "<ul>\n";';

	    if ( isset ( $attrs [ "subfolders" ] ) && $attrs [ "subfolders" ] == "true"  ) {
		$value .= '$directories = Database::connection () -> fetchall_assoc ( "SELECT id, title, access FROM directory WHERE parent=$directory ORDER BY  sequence;" );
			    foreach ( $directories as $dir ) {
				$result .= "<li>". $dir [ "title" ] ."</li>\n";
				if ( $again ) {
				    if ( $recursion ) {
					$result .= showmenu ( $dir [ "id" ] );
				    } else {
					$result .= showmenu ( $dir [ "id" ], false, false );
				    }
				}
			    }';
	    }

		$value .= 'foreach ( $headers as $header ) {
				if ( ( $this_dir == $header [ "directory" ] ) && ( $this_file == $header [ "file" ] ) ) {
				    $result .= "<li><strong>". $header [ "anchor" ] ."</strong></li>\n";
				} else {
				    $result .= "<li><a href=\'". $header [ "file" ] ."\'>". $header [ "anchor" ] ."</a></li>\n";
				}
			    }
			    $result .= "</ul>\n";
			    return $result;
			} // end showmenu
			if ( Page::session () -> getDirectory () != 2 ) {
			    echo showmenu ( $top,'. ($attrs [ "recursive" ] ? $attrs [ "recursive" ] : true) .');
			}
    	    ?>';
	    return $value;
	} else {
	    $value = '<?php
			$top = '. ( $attrs [ "directory" ] ? $attrs [ "directory" ] : '( Error::ticket () -> status > 3 ) ? 2 : Page::session () -> getDirectory ()' ) .';;

			function showmenu ( $directory , $recursive = true )
			{
			    $this_dir = Page::session () -> getDirectory();
			    $this_file = Tools::getPage ();

			    $headers = Database::connection () -> fetchall_assoc ( "SELECT title, directory, anchor, file, access, author, groupid FROM header WHERE directory=$directory ORDER BY sequence" );

			    // check access to found article /////////////////////////////////////////////////
    			    foreach ( $headers as $key => $article ) {
    	   			if ( !SecurityTools::check_read ( $article [ "access" ], $article [ "author" ], $article [ "groupid" ] ) ) {
    	    			    unset ( $headers [ $key ] );
    	    			}
    			    }
    			    reset ( $headers );
    			    //////////////////////////////////////////////////////////////////////////////////

			    $result = "";

			    $directories = Database::connection () -> fetchall_assoc ( "SELECT id, access FROM directory WHERE parent=$directory ORDER BY  sequence" );
			    foreach ( $directories as $dir ) {
				if ( $recursive ) {
				    $result .= showmenu ( $dir [ "id" ] );
				}
			    }

			    foreach ( $headers as $header ) {
				if ( ( $this_dir == $header [ "directory" ] ) && ( $this_file == $header [ "file" ] ) ) {
				    $result .= "<li><strong>". $header [ "anchor" ] ."</strong></li>\n";
				} else {
				    $result .= "<li><a href=\'". $header [ "file" ] ."\'>". $header [ "anchor" ] ."</a></li>\n";
				}
			    }
			    return "<ul>\n". $result ."</ul>\n";
		} // end showmenu
		if ( Page::session () -> getDirectory () != 2 ) {
		    echo showmenu ( $top,'. ( $attrs [ "recursive" ] ? $attrs [ "recursive" ] : true ) .');
		}
    	    ?>';
	    return $value;
	}
    } // end extension
}
?>