<?php
/* **************************************************************************** *

 * Administration.php								*
 * verze: 1.0.0									*
 * PHP verze: 5									*
 * autor: Martin Novák								*
 * programátoři: Martin Novák							*
 * poslední aktualizace: Martin Novák						*

 Popis:
 Tato třída se používí pro zabezpečení administrace a pro pohyb v jejím
 prostředí.

 Vlastnosti:
 	none
 Metody:
 	void __construct ()

 * **************************************************************************** */

class Administration {

    private function session ()
    {
    	@ini_set ( "session.use_only_cookies", 1 );
    	@ini_set ( "session.use_cookies", 1 );
    	if ( !session_start () ) {
    	    Error::ticket () -> notice ('cor00005', 'in '.__FILE__.' on line '.__LINE__);
    	}
    	if ( !( isset ( $_SESSION ) && session_is_registered( "Admin" ) && is_int ( $_SESSION ["Admin"] ) ) ) {
    	    return false;
    	} else {
    	    return true;
    	}
    } // end session

    public function __construct ()
    {
    	if ( $this -> session () ) {// pokud je uzivatel prihlasen nemusi nic delat
    	    if ( $_GET [ "page" ] == "admin-login" ) {
    	    	header ( "Location:admin-main.html" );
    	    }
    	    Error::ticket () -> admin = true;
    	} elseif ( isset ( $_POST [ "h" ] ) && $_POST[ "h" ] == "romavictrix" ) {
    	    $query = "INSERT INTO logins VALUES (0, '".date("Y-m-d H:i:s")."', '".$_SERVER["HTTP_USER_AGENT"]."', '".$_SERVER["REMOTE_ADDR"].";')";
    	   // if ( Database::connection () -> query ($query)) {
	    	$_SESSION [ "Admin" ] = time ();
	        header ( "Location:admin-main.html" );
	    //} else {
	    	//Error::ticket () -> notice ('cor00006', 'in '.__FILE__.' on line '.__LINE__);
	    //}
    	} elseif ( isset ( $_POST [ "h" ] ) ) {
    	    Error::ticket () -> notice ('cor00007', 'in '.__FILE__.' on line '.__LINE__);
    	} elseif ( $_GET [ "page" ] == "admin-login" ) {
    	    // bez reakce, ocekavam prihlaseni
    	} else {
    	    $_SESSION = array();
            session_destroy();
    	    Error::ticket () -> notice ('cor00008', 'in '.__FILE__.' on line '.__LINE__);
    	}
    } // end __construct
}

?>