<?php
/* **************************************************************************** *

 * UserInterface.inc.php							*
 * @version: 	1.0.0								*
 * @package	Core								*
 * @copyright:	Copyright (c) 2007 - 2008 Ragnar.cz. All rights reserved	*
 * @license	GNU/GPL http://www.gnu.org/copyleft/gpl.html			*
 
 * Albireo is free software! This file may have been modified pursuant to the	*
 * GNU General Public License, and as distributed it includes or is derivative	*
 * of works licensed under the GNU General Public License or other free or open	*
 * source software licenses.							*

 This script description:
 This is interface for working with classes managing all types of users

 Properties:
    none
 	
 Public Methods:
    string getType ()		// show name of class
    string getNick ()		// show nick of user
    string getFullName ()	// show full name of user
    string getEmail ()		// show e-mail of user
    string getLanguage ()	// show language of user`s interface
    int getId ()		// show id of user
    int getPrimaryGroup ()	// show id of primary usergroup
 	
 * **************************************************************************** */

interface UserInterface {

	public function getType ();
	public function getNick ();
	public function getFullName ();
	public function getId ();
	public function getEmail ();
	public function getPrimaryGroup ();
	public function getLanguage ();

}

?>