/* **************************************************************************** *

 * cor-content.js								*
 * @version: 	1.0.0								*
 * @package	Core								*
 * @copyright:	Copyright (c) 2007 - 2008 Ragnar.cz. All rights reserved	*
 * @license	GNU/GPL http://www.gnu.org/copyleft/gpl.html			*
 
 * Albireo is free software!							*
 	
 * **************************************************************************** */
 
    xmlhttpLeft = new XMLHttpRequest ();
    xmlhttpRight = new XMLHttpRequest ();

    function getDirectoryContent ( url, whoIsChanged, dirId ) { // gets contents of directories in MySQL database for cor-contents.php

	this.destroyObjectActions ();

    	if ( whoIsChanged == 'left' ) {
    	    // we wait for request 5 seconds
	    this.leftSuccessfulEnd = setTimeout ( function () {
	    	document.getElementById ( "leftContentWindow" ).innerHTML = '<p><strong class="warning">Server sends no response!</strong></p>';
	    }, 5000 );
    	    this.leftDirId = dirId;
    	    xmlhttpLeft.onreadystatechange = this.contentUseLeftDir;
    	    $( "#leftContentWindow" ).fadeOut ( 500 );
    	    setTimeout ( function () {
    	    	$( "#leftContentWindow" ).css ( "display", "block" );
    	    	document.getElementById ( "leftContentWindow" ).innerHTML = '<img src="styles/cor-admin/loading.gif" class="center" />';
    	    	xmlhttpLeft.open ( "GET", url, true );
	    	xmlhttpLeft.send ( null );
    	    }, 500 );
    	} else {
    	    // we wait for request 5 seconds
	    this.rightSuccessfulEnd = setTimeout ( function () {
	    	document.getElementById ( "rightContentWindow" ).innerHTML = '<p><strong class="warning">Server sends no response!</strong></p>';
	    }, 5000 );
    	    this.rightDirId = dirId;
    	    xmlhttpRight.onreadystatechange = this.contentUseRightDir;
    	    $( "#rightContentWindow" ).fadeOut ( 500 );
    	    setTimeout ( function () {
    	    	$( "#rightContentWindow" ).css ( "display", "block" );
    	    	document.getElementById ( "rightContentWindow" ).innerHTML = '<img src="styles/cor-admin/loading.gif" class="center" />';
    	    	xmlhttpRight.open ( "GET", url, true );
	    	xmlhttpRight.send ( null );
    	    }, 500 );
    	}

    }

    function contentUseLeftDir () { // is called by getDirectoryContent for creating html content representating left dir

	if ( xmlhttpLeft.readyState == 4 ) {
	    clearTimeout ( directoryContent.leftSuccessfulEnd );

	    if ( httpSuccess ( xmlhttpLeft ) ) {

	    	changeIdByAjax ( xmlhttpLeft, "leftContentWindow" ); // function changeIdByAjax comes from scripts/cor-ajax-base.js

	    } else {
	    	document.getElementById ( "leftContentWindow" ).innerHTML = "<p>Error in communicating with server: "
	    	+ xmlhttpLeft.status +" - "+ xmlhttpLeft.statusText +"</p>";
	    }
	}
    	
    }

    function contentUseRightDir () { // is called by getDirectoryContent for creating html content representating right dir

 	if ( xmlhttpRight.readyState == 4 ) {
 	    clearTimeout ( directoryContent.rightSuccessfulEnd );

     	    if ( httpSuccess ( xmlhttpRight ) ) {
		
		changeIdByAjax ( xmlhttpRight, "rightContentWindow" ); // function changeIdByAjax comes from scripts/cor-ajax-base.js

	    } else {
	    	document.getElementById ( "rightContentWindow" ).innerHTML = "<p>Error in communicating with server: "
	    	+ xmlhttpRight.status +" - "+ xmlhttpRight.statusText +"</p>";
	    }
	}
    	
    }

    function onrightclickActions ( aEvent, type, objectID, pageName )
    {
    	var myEvent = aEvent ? aEvent : window.event;
	if ( myEvent.pageX ) {
      	    X_pos = myEvent.pageX;
            Y_pos = myEvent.pageY;
    	} else {
    	    X_pos = ( myEvent.clientX + document.body.scrollLeft );
    	    Y_pos = ( myEvent.clientY + document.body.scrollTop );
    	}
    	this.objectActions( X_pos, Y_pos, type, objectID, pageName );
    	if (aEvent.stopPropagation) aEvent.stopPropagation ();
	if (aEvent.preventDefault) aEvent.preventDefault ();
    }

    function destroyObjectActions ()
    {
    	clearTimeout ( this.timer );
    	
    	if ( document.getElementById ( "cor-buttonsWindow" ) ) {
	    document.body.removeChild ( document.getElementById ( "cor-buttonsWindow" ) );
	}
    }
    
    function objectActions ( x, y, type, objectID, pageName )
    {

	this.destroyObjectActions ();
	this.timer = setTimeout ( "this.destroyObjectActions();", 6000 );

    	var buttons = document.createElement ( "div" );
  	buttons.setAttribute ( "id", "cor-buttonsWindow" );
  	if ( type != "directory" ) {
  	    copy = document.createElement ( "a" );
  	    copy.setAttribute ( "href", "#" );
  	    copy.setAttribute ( "title", "<?php echo _( "kopírovat" ); ?>" );
  	    copy.setAttribute ( "onclick", "ajaxDialogue('xml.php?page=" + pageName +"&action=copy&"+ type +"="+ objectID +"&leftdir="+ directoryContent.leftDirId +"&rightdir="+ directoryContent.rightDirId +"');directoryContent.destroyObjectActions();return false;"  );
  	    copy.setAttribute ( "class", "cor-button-edit cor-articlecopy" );
	    copy.setAttribute ( "className", "cor-button-edit cor-articlecopy" );
	    copy.innerHTML = "&nbsp;";
	    copy.style.top = "-48px";
	}
	move = document.createElement ( "a" );
  	move.setAttribute ( "href", "#" );
  	move.setAttribute ( "title", "<?php echo _( "přesunout" ); ?>" );
  	move.setAttribute ( "onclick", "ajaxDialogue('xml.php?page=" + pageName +"&action=move&"+ type +"="+ objectID +"&leftdir="+ directoryContent.leftDirId +"&rightdir="+ directoryContent.rightDirId +"');directoryContent.destroyObjectActions();return false;"  );
  	move.setAttribute ( "class", "cor-button-edit cor-articlemove" );
	move.setAttribute ( "className", "cor-button-edit cor-articlemove" );
	move.innerHTML = "&nbsp;";
	move.style.top = "-75px";
	move.style.left = "38px";
	if ( type != "file" ) {
	    info = document.createElement ( "a" );
  	    info.setAttribute ( "href", "#" );
  	    info.setAttribute ( "title", "<?php echo _( "informace" ); ?>" );
  	    switch ( type ) {
  	    	case "article":
  	    	    infoonclick = "ajaxDialogue('" + pageName +".xml?id="+ objectID +"');directoryContent.destroyObjectActions();return false;";
  	    	    break;
  	    	case "draft":
  	    	    infoonclick = "ajaxDialogue('" + pageName +".xml?action=showdraft&id="+ objectID +"');directoryContent.destroyObjectActions();return false;";
  	    	    break;
  	    	case "directory":
  	    	    infoonclick = "ajaxDialogue('" + pageName +".xml?action=showdirinfo&id="+ objectID +"');directoryContent.destroyObjectActions();return false;";
  	    	    break;
  	    }
    	    info.setAttribute ( "onclick", infoonclick );
  	    info.setAttribute ( "class", "cor-button-edit cor-articleinfo" );
	    info.setAttribute ( "className", "cor-button-edit cor-articleinfo" );
	    info.innerHTML = "&nbsp;";
	    info.style.top = "-75px";
	    info.style.left = "38px";
	}
	trash = document.createElement ( "a" );
  	trash.setAttribute ( "href", "#" );
  	trash.setAttribute ( "title", "<?php echo _( "smazat" ); ?>" );
  	trash.setAttribute ( "onclick", "ajaxDialogue('xml.php?page=" + pageName +"&action=delete1&"+ type +"="+ objectID +"');return false;"  );
  	trash.setAttribute ( "class", "cor-button-edit cor-articledelete" );
	trash.setAttribute ( "className", "cor-button-edit cor-articledelete" );
	trash.innerHTML = "&nbsp;";
	trash.style.top = "-99px";
	var invisiblebutton1 = document.createElement ( "img" );
	invisiblebutton1.setAttribute ( "class", "invisible" );
	invisiblebutton1.setAttribute ( "className", "invisible" );
	invisiblebutton1.setAttribute ( "src", "styles/cor-admin/copy-over.gif" );
	invisiblebutton1.setAttribute ( "alt", "hidden part of content" );
	var invisiblebutton2 = document.createElement ( "img" );
	invisiblebutton2.setAttribute ( "class", "invisible" );
	invisiblebutton2.setAttribute ( "className", "invisible" );
	invisiblebutton2.setAttribute ( "src", "styles/cor-admin/move-over.gif" );
	invisiblebutton2.setAttribute ( "alt", "hidden part of content" );
	var invisiblebutton3 = document.createElement ( "img" );
	invisiblebutton3.setAttribute ( "class", "invisible" );
	invisiblebutton3.setAttribute ( "className", "invisible" );
	invisiblebutton3.setAttribute ( "src", "styles/cor-admin/info-over.gif" );
	invisiblebutton3.setAttribute ( "alt", "hidden part of content" );
	var invisiblebutton4 = document.createElement ( "img" );
	invisiblebutton4.setAttribute ( "class", "invisible" );
	invisiblebutton4.setAttribute ( "className", "invisible" );
	invisiblebutton4.setAttribute ( "src", "styles/cor-admin/delete-over.gif" );
	invisiblebutton4.setAttribute ( "alt", "hidden part of content" );
  	buttons.style.top = ( y - 25 ) +"px";
  	if ( type == "directory" ) { buttons.style.top = ( y + 25 ) +"px"; move.style.left = ( 0 ) +"px"; info.style.top = ( -85 ) +"px"; }
  	buttons.style.left = ( x - 25 ) +"px";
  	if ( type != "directory" ) { buttons.appendChild ( copy ); }
  	buttons.appendChild ( move );
  	if ( type == "file" ) { copy.style.top = ( -75 ) +"px"; buttons.style.top = ( y + 25 ) +"px"; move.style.top = ( -85 ) +"px"; }
  	if ( type != "file" ) { buttons.appendChild ( info ); }
  	buttons.appendChild ( trash );
  	buttons.appendChild ( invisiblebutton1 );
  	buttons.appendChild ( invisiblebutton2 );
  	buttons.appendChild ( invisiblebutton3 );
  	buttons.appendChild ( invisiblebutton4 );
  	if ( type != "directory" ) $( copy ).css ( "display", "none" );
  	if ( type != "file" ) $( info ).css ( "display", "none" );
  	$( move ).css ( "display", "none" );
  	$( trash ).css ( "display", "none" );
  	document.body.appendChild ( buttons );
 
  	var time = 0;
  	if ( type != "directory" ) {
  	    setTimeout ( function () { $( copy ).fadeIn ( 500 ) }, time );
  	    time += 250;
  	}
  	setTimeout ( function () { $( move ).fadeIn ( 500 ) }, time );
  	time += 250;
  	if ( type != "file" ) {
  	    setTimeout ( function () { $( info ).fadeIn ( 500 ) }, time );
  	    time += 250;
  	}
  	setTimeout ( function () { $( trash ).fadeIn ( 500 ) }, time );
    }

    function reloadContent ( pageName )
    {
	this.getDirectoryContent ( "xml.php?page="+ pageName +"&contentdir="+ this.leftDirId +"&side=left", 'left', this.leftDirId );
	this.getDirectoryContent ( "xml.php?page="+ pageName +"&contentdir="+ this.rightDirId +"&side=right", 'right', this.rightDirId );
    }

    function directoryContent ()
    {
    	this.timer; // for destroying actions button
    	this.leftSuccessfulEnd;
    	this.rightSuccessfulEnd;
    	this.leftDirId = 0;
    	this.rightDirId = 0;
    	this.contentUseLeftDir = contentUseLeftDir;
    	this.contentUseRightDir = contentUseRightDir;
    	this.getDirectoryContent = getDirectoryContent;
    	this.objectActions = objectActions;
    	this.onrightclickActions = onrightclickActions;
    	this.destroyObjectActions = destroyObjectActions;
    	this.reloadContent = reloadContent;
    }

    var directoryContent = new directoryContent ();

    function resizeDialogue ()
    {
    	dialogue = document.getElementById ( "dialogueWindow" );
    	dialogue.style.width = "90%"
    	dialogue.style.left = "5%"
    }

    function changeAccessInformation ( access, textTagId ) {
        var infoText = "";
    	switch ( access ) {
    	    case "wwr":
    	    	infoText = "<strong class=\"success\"><?php echo _( "Autor může zapisovat, skupina může také zapisovat a ostatní mohou číst." ); ?></strong>";
    	        break;
    	    case "ww0":
    	    	infoText = "<strong class=\"success\"><?php echo _( "Autor může zapisovat, skupina může také zapisovat a ostatní nemohou nic." ); ?></strong>";
    	        break;
    	    case "wrr":
    	    	infoText = "<strong class=\"success\"><?php echo _( "Autor může zapisovat, skupina může číst a ostatní mohou také číst." ); ?></strong>";
    	        break;
    	    case "wr0":
    	    	infoText = "<strong class=\"success\"><?php echo _( "Autor může zapisovat, skupina může číst a ostatní nemohou nic." ); ?></strong>";
    	        break;
    	    case "w00":
    	    	infoText = "<strong class=\"success\"><?php echo _( "Autor může zapisovat, skupina nemůže nic a ostatní také nemohou nic." ); ?></strong>";
    	        break;
    	    default:
    	   	infoText = "<strong class=\"warning\"><?php echo _( "Neznámá hodnota:" ); ?> "+ access +"</strong>";
    	}
    	document.getElementById ( textTagId ).innerHTML = infoText;
    }