/* **************************************************************************** *

 * cor-dialogue-window.js							*
 * @version: 	1.0.0								*
 * @package	Core								*
 * @copyright:	Copyright (c) 2007 - 2008 Ragnar.cz. All rights reserved	*
 * @license	GNU/GPL http://www.gnu.org/copyleft/gpl.html			*
 
 * Albireo is free software!							*
 	
 * **************************************************************************** */

    function ajaxDialogue ( dest ) { // creates dialogue with answer based on Ajax throught GET

    	dialogueWindow ( "Albireo", '<img src="styles/cor-admin/loading.gif" class="center" /><br /><input type="button" class="dialogue-button" onclick="closeDialogueWindow();" value="OK" />' );

    	xmlhttp = new XMLHttpRequest ();
    	xmlhttp.open ( "GET", dest, true );

	// we wait for request 5 seconds
	var successfulEnd = setTimeout ( function () {
	    document.getElementById ( "dialogueBody" ).innerHTML = '<p><strong class="warning">Server sends no response!</strong></p>';
	}, 10000 );

    	xmlhttp.onreadystatechange = function () {
    	    if ( xmlhttp.readyState == 4 ) {
    	    	clearTimeout ( successfulEnd );
	    	if ( httpSuccess ( xmlhttp ) ) {
	    	    changeDialogue ( xmlhttp );
	    	} else {
	    	    document.getElementById ( "dialogueBody" ).innerHTML = '<p>Error in communicating with server: '
	    	    + xmlhttp.status +' - '+ xmlhttp.statusText +'</p><input type="button" class="dialogue-button" onclick="closeDialogueWindow();" value="OK" />';

	    	    xmlhttp = null;
	    	}
	    }
    	};

	xmlhttp.send ( null );
	
    }

    function changeDialogue ( xmlhttp ) {

	// we are working with xml as text because the world isn`t prepared for pure valid xml
	if ( xmlhttp.responseText.indexOf ( "<body>" ) ) {
	    document.getElementById ( "dialogueBody" ).innerHTML = xmlhttp.responseText.substring ( xmlhttp.responseText.indexOf ( "<body>" )+6, xmlhttp.responseText.indexOf ( "</body>" ) );
	    document.getElementById ( "dialogue-title" ).innerHTML = xmlhttp.responseText.substring ( xmlhttp.responseText.indexOf ( "<title>" )+7, xmlhttp.responseText.indexOf ( "</title>" ) );
	} else {
	    document.getElementById ( "dialogueBody" ).innerHTML = '<p><strong class="warning">Response has no contents!</strong></p><input type="button" class="dialogue-button" onclick="closeDialogueWindow();" value="OK" />';
	}

	xmlhttp = null;

    }

    function dialogueWindow ( title, content ) { // creates html of dialogue window
    /*
    	<div id="dialogueWindow">
    	    <div id="dialogue-handle">
    	    	<span class="dialogue-header-left">&nbsp;</span>
    	    	<span class="dialogue-header-right">&nbsp;</span>
    	    	<a href="#" id="dialogue-close" onclick="closeDialogueWindow();return false;">&nbsp;</a>
    	    	<span id="title">title</span>
    	    </div>
    	    <div id="dialogueBody">
    	    	text
    	    </div>
    	    <div class="dialogue-footer">
    	    	<span class="dialogue-footer-left">&nbsp;</span>
    	    	<span class="dialogue-footer-right">&nbsp;</span>
    	    	<img class="invisible" src="styles/cor-admin/d-close-over.png" alt="hidden part of content" />
    	    </div>
    	</div>
    */

    	var box = document.getElementById ( "dialogueWindow" );
    	
	if ( !document.getElementById ( "dialogueWindow" ) ) {

  	    var box = document.createElement ( "div" );
  	    box.setAttribute ( "id", "dialogueWindow" );
  	    box.setAttribute ( "class", "undisplayed" );
	    box.setAttribute ( "className", "undisplayed" );
  	    var handle = document.createElement ( "div" );
  	    handle.setAttribute ( "id", "dialogue-handle" );
  	    var Spantitle = document.createElement ( "span" );
  	    Spantitle.setAttribute ( "id", "dialogue-title" );
	    var lucorner = document.createElement ( "span" );
	    lucorner.setAttribute ( "class", "dialogue-header-left" );
	    lucorner.setAttribute ( "className", "dialogue-header-left" );
	    lucorner.innerHTML = "&nbsp;";
	    var rucorner = document.createElement ( "span" );
	    rucorner.setAttribute ( "class", "dialogue-header-right" );
	    rucorner.setAttribute ( "className", "dialogue-header-right" );
	    rucorner.innerHTML = "&nbsp;";
	    var closebutton = document.createElement ( "a" );
	    closebutton.setAttribute ( "href", "#" );
	    closebutton.setAttribute ( "id", "dialogue-close" );
	    closebutton.setAttribute ( "onclick", "closeDialogueWindow();return false;" );
	    closebutton.innerHTML = "&nbsp;";
	    handle.appendChild ( lucorner );
	    handle.appendChild ( rucorner );
	    handle.appendChild ( closebutton );
	    handle.appendChild ( Spantitle );
  	    var texttitle = document.createTextNode ( title );
  	    Spantitle.appendChild ( texttitle );
  	    box.appendChild ( handle );
  	    var dialogueBody = document.createElement ( "div" );
  	    dialogueBody.setAttribute ( "id", "dialogueBody" );
    	    box.appendChild ( dialogueBody );
    	    var footer = document.createElement ( "div" );
    	    footer.setAttribute ( "class", "dialogue-footer" );
	    footer.setAttribute ( "className", "dialogue-footer" );
	    var ldcorner = document.createElement ( "span" );
	    ldcorner.setAttribute ( "class", "dialogue-footer-left" );
	    ldcorner.setAttribute ( "className", "dialogue-footer-left" );
	    ldcorner.innerHTML = "&nbsp;";
	    var rdcorner = document.createElement ( "span" );
	    rdcorner.setAttribute ( "class", "dialogue-footer-right" );
	    rdcorner.setAttribute ( "className", "dialogue-footer-right" );
	    rdcorner.innerHTML = "&nbsp;";
	    footer.appendChild ( ldcorner );
	    footer.appendChild ( rdcorner );
	    box.appendChild ( footer );
  	    document.body.appendChild ( box );
  	    document.getElementById ( "dialogueBody" ).innerHTML = content;
  	    var invisibleclosebutton = document.createElement ( "img" );
	    invisibleclosebutton.setAttribute ( "class", "invisible" );
	    invisibleclosebutton.setAttribute ( "className", "invisible" );
	    invisibleclosebutton.setAttribute ( "src", "styles/cor-admin/d-close-over.png" );
	    invisibleclosebutton.setAttribute ( "alt", "hidden part of content" );
	    document.body.appendChild ( invisibleclosebutton );
	    document.getElementById("dialogueWindow").style.position = "absolute";
	    document.getElementById("dialogueWindow").style.top = "100px"; 
	    document.getElementById("dialogueWindow").style.left = "300px";

            myheight = window.pageYOffset ? window.pageYOffset : document.body.scrollTop;
            $("#dialogueWindow").css ( "top", myheight+$( window ).height () / 4  );
            $("#dialogueWindow").css ( "left", $( window ).width () / 2 - $( "#dialogueWindow" ).width () / 2);
    	    $( "#dialogue-handle" ).mouseup ( function () {
      		$( "#dialogueWindow" ).ppdrag ( "destroy" );
    	    } ).mousedown ( function () {
      		$( "#dialogueWindow" ).ppdrag ();
    	    } );

    	    $( "#dialogueWindow" ).fadeIn ( 500 ); // uses jqr-jquery.js
	    // uses jquery library jqr-ppdrag.js
	}
	
    }

    function closeDialogueWindow () { // close dialogue window
    	var box = document.getElementById ( "dialogueWindow" );
	if ( box ) {
 	    $( "#dialogueWindow" ).fadeOut ( 500 ); // uses jqr-jquery.js
 	    setTimeout ( function () {
	    	document.body.removeChild ( box );
	    }, 500 );
	}
    }

    function confirmDialogue ( title, text, dest ) { // creates confirm dialogue
    	var diaText = '<p>' + text + '</p><input type="button" class="button" onclick="window.location=\''+ dest +'\';" value="Ano" /><input type="button" class="button" onclick="closeDialogueWindow();" value="Ne" />';
    	dialogueWindow ( title, diaText );
    	return false;
    }
	
    function okDialogue ( title, text ) { // creates dialogue with OK button
	var diaText = '<p>' + text + '</p><input type="button" class="button" onclick="closeDialogueWindow();" value="OK" />';
	dialogueWindow ( title, diaText );
    	return false;
    }