/* **************************************************************************** *

 * cor-content.js								*
 * @version: 	1.0.0								*
 * @package	Core								*
 * @copyright:	Copyright (c) 2007 - 2008 Ragnar.cz. All rights reserved	*
 * @license	GNU/GPL http://www.gnu.org/copyleft/gpl.html			*
 
 * Albireo is free software!							*
 	
 * **************************************************************************** */

    // check strength of password
    // password is value of password in input and textTagId is id of tag which will have text content of strenght
    function passwordStrength ( password, textTagId ) {

	var score = 0;
	if ( password.length > 6) score++; //if password bigger than 6 give 1 point
	if ( ( password.match ( /[a-z]/ ) ) && ( password.match( /[A-Z]/ ) ) ) score++; //if password has both lower and uppercase characters give 1 point
	if ( password.match ( /\d+/ ) ) score++; //if password has at least one number give 1 point
	if ( password.match ( /.[!,@,#,$,%,^,&,*,?,_,~,-,(,)]/ ) ) score++; //if password has at least one special caracther give 1 point
	if ( password.length > 12 ) score++; //if password bigger than 12 give another 1 point

	switch ( score ) {
	    case 0:
		document.getElementById ( textTagId ).innerHTML = '<strong class="warning">really bad password</strong>';
		break;
	    case 1:
		document.getElementById ( textTagId ).innerHTML = '<strong class="warning">weak password</strong>';
		break;
	    case 2:
		document.getElementById ( textTagId ).innerHTML = '<strong class="success">normal password</strong>';
		break;
	    case 3:
		document.getElementById ( textTagId ).innerHTML = '<strong class="success">pretty good password</strong>';
		break;
	    case 4:
		document.getElementById ( textTagId ).innerHTML = '<strong class="success">strong password</strong>';
		break;
	    case 5:
		document.getElementById ( textTagId ).innerHTML = '<strong class="success">very strong password</strong>';
		break;
	}

    }