<?php
/* **************************************************************************** *

 * cor-add-group.php								*
 * @version: 	1.0.0								*
 * @package	Core								*
 * @copyright:	Copyright (c) 2007 - 2008 Ragnar.cz. All rights reserved	*
 * @license	GNU/GPL http://www.gnu.org/copyleft/gpl.html			*
 
 * Albireo is free software! This file may have been modified pursuant to the	*
 * GNU General Public License, and as distributed it includes or is derivative	*
 * of works licensed under the GNU General Public License or other free or open	*
 * source software licenses.							*

 This script description:
 Page for adding usergroups.

 Properties:
    array $page			// contains changes for array $page in ScriptPage
 	
 Public Methods:
    none
 	
 * **************************************************************************** */

class addGroup {

    public $page = array ();

    public function __construct ()
    {

	if ( isset ( $_POST [ "name_of_group" ] ) ) {
	    $this -> page [ "text" ] .= $this -> addNewGroup ();
	    $this -> page [ "text" ] .= '<img src="styles/cor-admin/users-big.jpg" alt="'. _( "Uživatelé" ) .'" />
	    <hr class="cleaner" /><input type="button" class="dialogue-button" onclick="location.reload(true);" value="'. _( "Zavřít" ) .'" />';
	} else {
	    $this -> page [ "text" ] .= $this -> addGroupForm ();
	}

    } // end __construct

    public function addGroupForm ()
    {

	$form .= '<script type="text/javascript" src="scripts/cor-user-administration.js"></script>
	    <form action="'. Tools::getFullPage () .'" method="post" id="CreateGroupForm" enctype="application/x-www-form-urlencoded">
	    	<fieldset>
     	    	    <legend>'. _( "Vytvoření nové skupiny" ) .'</legend>
     	    	    <img src="styles/cor-admin/users.jpg" alt="'. _( "Uživatelé" ) .'" class="objectLeft" />
     	    	    <label for="name_of_group">'. _( "Název skupiny" ) .': </label><input type="text" name="name_of_group" maxlength="15" />
             	    <input type="submit" value="'. ( "Vytvořit Skupinu" ) .'" onclick="changeDialogueByPost(\''. Tools::getPage () .'.xml\',\'CreateGroupForm\');return false;" />
             	</fieldset>
	    </form>';

	return $form;

    } // end addUserForm

    public static function addNewGroup ()
    {
    	if ( empty ( $_POST [ "name_of_group" ] ) ) {
    	    return '<p><strong class="warning">'. _( "Políčko název skupiny nebylo vyplněno." ) .'</strong></p>';
    	}
    	
    	$name_of_group = htmlspecialchars ( $_POST [ "name_of_group" ] );

    	if ( Database::connection () -> getResult ( "SELECT id FROM usergroups WHERE usergroup='$name_of_group';" ) ) {
    	    return '<p><strong class="warning">'. $name_of_group . ' - '. _( "Skupina s tímto názvem již v databázi existuje." ) .'</strong></p>';
    	}
    	
    	if ( Database::connection () -> query ( "INSERT INTO usergroups VALUES (0, '$name_of_group');" ) ) {
    	    return '<p><strong class="success">'. _( "Skupina byla úspěšně vytvořena" ) .' - '. $name_of_group .'</strong></p>';
    	} else {
    	    return '<p><strong class="warning">'. _( "Nepodařilo se vytvořit skupinu" ) .' '. $name_of_group .'</strong></p>';
    	}
    } // end addNewUser

}

$addGroup = new addGroup ();
$page = $addGroup -> page;
?>