<?php
/* **************************************************************************** *

 * cor-log-in.php								*
 * @package	Core								*
 * @copyright	Copyright (c) 2008 Martin Novák. All rights reserved		*
 * @license	GNU/AGPL http://www.gnu.org/licenses/agpl.html			*

 * Albireo is free software! You can redistribute it and/or modify it under	*
 * the terms of the GNU Affero General Public License as published		*
 * by the Free Software Foundation, either version 3 of the License, or		*
 * (at your option) any later version.						*

 *	This program is distributed in the hope that it will be useful,		*
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of		*
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the		*
 *	GNU Affero General Public License for more details.			*

 This script description:
 Script for managing logins into administration of Albireo.

 Properties:
    array $page			// contains changes for array $page in ScriptPage
 	
 Public Methods:
    none
 	
 * **************************************************************************** */

class LogIn {

    public $page = array ( "text" => "" );

    public function __construct ()
    {

	/*if ( !isset ( $_SERVER [ "HTTPS" ] ) ) {
	    header ( "Location:https://". $_SERVER [ "HTTP_HOST" ] . substr ( $_SERVER [ "SCRIPT_NAME" ], 0, strrpos ( $_SERVER [ "SCRIPT_NAME" ], "/" ) ) ."/". Tools::getFullPage () );
	}*/
    
    	if ( AlbireoUser::isLogedIn () ) {
    	    header ( "Location:". Localization::session () -> getFile ( "cor-overview" ) );
    	}
    	if ( isset ( $_POST [ "h-login" ], $_POST [ "j-login" ] ) ) {
    	    $this -> page [ "text" ] .= AlbireoUser::login ( $_POST [ "j-login" ], $_POST [ "h-login" ] );
    	}

    	$this -> page [ "text" ] .= Database::connection () -> getResult ( "SELECT text FROM content WHERE id_header=(SELECT id FROM header WHERE file='". Tools::getPage () ."');" );
    	$this -> page [ "text" ] .= '<script type="text/javascript" src="scripts/cor-form-default-text.js"></script>
    	    <form action="'. Tools::getFullPage () . ( empty ( $_GET [ "loginpage" ] ) ? "" : "?loginpage=". $_GET [ "loginpage" ] ) .'" method="post" enctype="application/x-www-form-urlencoded">
     	    	<fieldset>
		    <legend>'. _( "Přihlášení" ) .'</legend>
     	    	    <label for="j-login">'. _( "Jméno" ) .': </label><input type="text" size="15" id="j-login" name="j-login" maxlength="20" value="'. _( "Přezdívka" ) .'" onfocus="onFocusFormDefaultText(\''. _( "Přezdívka" ) .'\',this);" onblur="onLostFocusFormDefaultText(\''. _( "Přezdívka" ) .'\',this);" /><br />
             	    <label for="h-login">'. _( "Heslo" ) .': </label><input type="password" size="15" id="h-login" name="h-login" maxlength="25" value="Heslo" onfocus="onFocusFormDefaultText(\'Heslo\',this);" onblur="onLostFocusFormDefaultText(\'Heslo\',this);" /><br />
             	    <br /><input type="submit" value="'. _( "přihlásit" ) .'" />
             	</fieldset>
     	    </form>';
     	//$this -> page [ "text" ] .= '<strong class="success">'. _( "Albireo je nastaveno na šifrovaný přístup k administraci." ) .'</strong>';
    } // end __construct

}

$LogIn = new LogIn ();
$page = $LogIn -> page;
?>