<?php
/* **************************************************************************** *

 * cor-mysql-interface.php							*
 * @package	Core								*
 * @copyright:	Copyright (c) 2008 Martin Novák. All rights reserved		*
 * @license	GNU/AGPL http://www.gnu.org/licenses/agpl.html			*
 
 * Albireo is free software! You can redistribute it and/or modify it under	*
 * the terms of the GNU Affero General Public License as published		*
 * by the Free Software Foundation, either version 3 of the License, or		*
 * (at your option) any later version.						*

 *	This program is distributed in the hope that it will be useful,		*
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of		*
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the		*
 *	GNU Affero General Public License for more details.			*

 This script description:
 Page with interface for cuminicating with MySQL database.

 Properties:
    array $page			// contains changes for array $page in ScriptPage
 	
 Public Methods:
    none
 	
 * **************************************************************************** */

class MySQLInterface {

    public $page = array ( "text" => "" );

    public function __construct ()
    {
    	if ( !isset ( $_POST [ "query" ] ) ) {
	    $this -> page [ "text" ] .= _( "<p>Databázové rozhraní vám umožňuje přímo zadávat SQL příkazy v plném rozsahu, ke kterému máte
    	    uživatelská práva.</p>" ).
    	    	"<form action=\"". Tools::getPage () ."\" method=\"post\" enctype=\"application/x-www-form-urlencoded\" class=\"formular\">
    	    	  <fieldset>
  		    Zadejte prosím dotaz SQL, který má být proveden: <br /><br />
  		    <textarea name=\"query\" cols=\"50\" rows=\"10\"></textarea><br /><br />
 		    <input type=\"submit\" value=\"provést příkaz\" />
 		   </fieldset>
  		 </form>";
    	} else {
    	    $query = stripslashes ( $_POST [ "query" ] );
   	    $result = mysql_query ( $query ) ;
   	    $this -> page [ "text" ] .= "<p>". _( "Výsledek dotazu" ). ":<br /><strong>".nl2br ( htmlspecialchars ( $query ) )."</strong></p>";
   	    if( $result == false ) {
    		$this -> page [ "text" ] .= "<p><strong class=\"warning\">".mysql_errno ().":".mysql_error ()."</strong>
    		<br /><a href=\"". Tools::getPage () ."\">". _( "Nový dotaz" ) ."</a></p>";
   	    } elseif ( is_array ( $result ) && mysql_num_rows ( $result ) == 0 ) {
    		$this -> page [ "text" ] .= "<p><strong>". _( "Dotaz byl úspěšně proveden!" ). "</strong><br />
    		<a href=\"". Tools::getPage () ."\">". _( "Nový dotaz" ) ."</a></p>";
   	    } else {
   	    	$text = "<table class=\"table\">\n<thead>\n<tr>";
    		for ( $i = 0; $i < @mysql_num_fields ( $result ); $i++ ) {
     		    $text .= "<th>".mysql_field_name ( $result, $i )."</th>";
    		}
   		$text .= "</tr>\n</thead>\n<tbody>";
     		for ( $i = 0;$i < @mysql_num_rows ( $result ); $i++ ) {
      		    $text .= "<tr>";
      		    $row_array = mysql_fetch_row ( $result );
      		    for($j = 0; $j < mysql_num_fields ( $result ); $j++) {
       		  	$text .= "<td>".$row_array[ $j ]. "</td>";
      		    }
      		    $text .= "</tr>";
     		}
   		$text .= "</tbody>\n</table>\n<p><a href=\"". Tools::getPage () ."\">". _( "Nový dotaz" ) ."</a></p>";
   		$this -> page [ "text" ] .= $text;
   	    }
    	}
    } // end __construct

}

$MySQLInterface = new MySQLInterface ();
$page = $MySQLInterface -> page;
?>