/* **************************************************************************** *

 * cor-ajax-text-change.js							*
 * @version: 	1.0.0								*
 * @package	Core								*
 * @copyright:	Copyright (c) 2007 - 2008 Ragnar.cz. All rights reserved	*
 * @license	GNU/GPL http://www.gnu.org/copyleft/gpl.html			*
 
 * Albireo is free software!							*
 	
 * **************************************************************************** */

    function changeIdByGET ( url, id ) {

	xmlhttp = new XMLHttpRequest ();
	xmlhttp.open ( "GET", url, true );
	xmlhttp.setRequestHeader ( "Content-Type", "application/x-www-form-urlencoded; charset=UTF-8" );
	// secure the right size of serialized data due to Mozilla browsers
	if ( xmlhttp.overrideMimeType ) xmlhttp.setRequestHeader ( "Connection", "close" );

	// we wait for request 5 seconds
	var successfulEnd = false;
	setTimeout ( function () {
	    successfulEnd = true;
	}, 5000 );
	
	xmlhttp.onreadystatechange = function () {
    	    if ( xmlhttp.readyState == 4 && !successfulEnd ) {
	    	if ( httpSuccess ( xmlhttp ) ) {
	    	    changeIdByAjax ( xmlhttp, id ); // function changeIdByAjax comes from scripts/cor-ajax-base.js
	    	} else {
	    	    document.getElementById ( id ).innerHTML = '<p>Error in communicating with server: '+ xmlhttp.status +' - '+ xmlhttp.statusText;
	    	}
	    }
    	};
	xmlhttp.send ( null );

    }

    function changeIdByPost ( url, formulary, id ) {

	xmlhttp = new XMLHttpRequest ();
    	POSTQuery = getUrlFromFormulary ( formulary );
	xmlhttp.open ( "POST", url, true );
	xmlhttp.setRequestHeader ( "Content-Type", "application/x-www-form-urlencoded; charset=UTF-8" );
	// secure the right size of serialized data due to Mozilla browsers
	if ( xmlhttp.overrideMimeType ) xmlhttp.setRequestHeader ( "Connection", "close" );

	// we wait for request 5 seconds
	var successfulEnd = false;
	setTimeout ( function () {
	    successfulEnd = true;
	}, 5000 );
	
	xmlhttp.onreadystatechange = function () {
    	    if ( xmlhttp.readyState == 4 && !successfulEnd ) {//window.alert (xmlhttp.responseText);
	    	if ( httpSuccess ( xmlhttp ) ) {
	    	    changeIdByAjax ( xmlhttp, id ); // function changeIdByAjax comes from scripts/cor-ajax-base.js
	    	} else {
	    	    document.getElementById ( id ).innerHTML = '<p>Error in communicating with server: '
	    	    + xmlhttp.status +' - '+ xmlhttp.statusText;

	    	    xmlhttp = null;
	    	}
	    }
    	};

	xmlhttp.send ( POSTQuery );

    }

    function changeDialogueByPost ( url, formulary ) {

	xmlhttp = new XMLHttpRequest ();
    	POSTQuery = getUrlFromFormulary ( formulary );
	xmlhttp.open ( "POST", url, true );
	xmlhttp.setRequestHeader ( "Content-Type", "application/x-www-form-urlencoded; charset=UTF-8" );
	// secure the right size of serialized data due to Mozilla browsers
	if ( xmlhttp.overrideMimeType ) xmlhttp.setRequestHeader ( "Connection", "close" );

	// we wait for request 5 seconds
	var successfulEnd = false;
	setTimeout ( function () {
	    successfulEnd = true;
	}, 5000 );
	
	xmlhttp.onreadystatechange = function () {
    	    if ( xmlhttp.readyState == 4 && !successfulEnd ) {
    	    	if ( !document.getElementById ( "dialogueBody" ) ) dialogueWindow ( "dialogue", "dialogue" ); // function dialogueWindow comes from scripts/cor-dialogue-window.js
	    	if ( httpSuccess ( xmlhttp ) ) {
	    	    changeDialogue ( xmlhttp ); // function changeDialogue comes from scripts/cor-dialogue-window.js
	    	} else {
	    	    document.getElementById ( "dialogueBody" ).innerHTML = '<p>Error in communicating with server: '
	    	    + xmlhttp.status +' - '+ xmlhttp.statusText +'</p><input type="button" class="dialogue-button" onclick="closeDialogueWindow();" value="OK" />';

	    	    xmlhttp = null;
	    	}
	    }
    	};
    	
	xmlhttp.send ( POSTQuery );

    }

    function getUrlFromChildren ( formularyInnerNode ) {
	POSTQuery = "";
	for ( i = 0; i < formularyInnerNode.length; i++ ) {
	    if ( formularyInnerNode[i].value ) {
	    	if ( ( formularyInnerNode[i].type != "radio" && formularyInnerNode[i].type != "checkbox" ) ||
	    	    formularyInnerNode[i].checked == true ) {
	    	    	// there isn`t used escape function due to differences between javacript and PHP
	    		POSTQuery += "&" + formularyInnerNode[i].getAttribute( "name" ) + "=" + encodeURIComponent ( formularyInnerNode[i].value );
	    	}
	    } else if ( formularyInnerNode[i].hasChildNodes () && formularyInnerNode[i].childNodes.length > 1 ) {
		POSTQuery += getUrlFromChildren ( formularyInnerNode[i].childNodes );
	    }
	}
	return POSTQuery;
    }

    function getUrlFromFormulary ( formulary ) { // create url from form for Ajax

	POSTQuery = getUrlFromChildren ( document.getElementById ( formulary ).childNodes );
	return POSTQuery.substr ( 1, POSTQuery.length )
	
    }