/* **************************************************************************** *

 * xin-settings.js								*
 * @version: 	1.0.0								*
 * @package	Core								*
 * @copyright:	Copyright (c) 2007 - 2008 Ragnar.cz. All rights reserved	*
 * @license	GNU/GPL http://www.gnu.org/copyleft/gpl.html			*
 
 * Albireo is free software!							*
 	
 * **************************************************************************** */
 
/************************************************************************
 * Plugins you will be using in the editors on this page.
 * List all the plugins you will need, even if not all the editors will
 * use all the plugins.
 ************************************************************************
 * Please refer to http://xinha.python-hosting.com/wiki/Plugins for the
 * list of availables plugins
 ************************************************************************/
var xinha_plugins =
[
 'CharCounter',
 'CharacterMap',
 'ContextMenu',
 'FindReplace',
 //'GetHTML'
 'ListType',
 'Stylist',
 //'SuperClean',
 //'TableOperations'
];
/************************************************************************
 * Names of the textareas you will be turning into editors
 ************************************************************************/
var xinha_editors =
[
  'texts'
];
/************************************************************************
 * Initialisation function
 ************************************************************************/
function xinha_init()
{
  // THIS BIT OF JAVASCRIPT LOADS THE PLUGINS, NO TOUCHING  :)
  if(!Xinha.loadPlugins(xinha_plugins, xinha_init)) return;
  /*************************************************************************
   * We create a default configuration to be used by all the editors.
   * If you wish to configure some of the editors differently this will be
   * done later after editors are initiated.
   ************************************************************************
   * Please refer to http://xinha.python-hosting.com/wiki/Documentation/Customise
   * for the configuration parameters
   ************************************************************************/
  var xinha_config = new Xinha.Config();
  xinha_config.pageStyleSheets = ["styles/default.css","styles/xin.css"];
  xinha_config.toolbar =
 [
   ["popupeditor"],
   ["separator","formatblock","bold","italic",],
   ["separator","textindicator"],
   ["separator","insertorderedlist","insertunorderedlist","outdent","indent"],
   ["separator","inserthorizontalrule","createlink","insertimage","inserttable"],
   ["linebreak","separator","undo","redo","selectall","print"], (Xinha.is_gecko ? [] : ["cut","copy","paste","overwrite","saveas"]),
   ["separator","killword","clearfonts","removeformat"],
   ["separator","htmlmode","showhelp","about"]
 ];

  /************************************************************************
   * We first create editors for the textareas.
   * You can do this in two ways, either
   *
   *   xinha_editors   = Xinha.makeEditors(xinha_editors, xinha_config, xinha_plugins);
   *
   * if you want all the editor objects to use the same set of plugins, OR;
   *
   *   xinha_editors = Xinha.makeEditors(xinha_editors, xinha_config);
   *   xinha_editors['myTextArea'].registerPlugins(['Stylist']);
   *   xinha_editors['anotherOne'].registerPlugins(['CSS','SuperClean']);
   *
   * if you want to use a different set of plugins for one or more of the
   * editors.
   ************************************************************************/
  xinha_editors = Xinha.makeEditors(xinha_editors, xinha_config, xinha_plugins);
  /************************************************************************
   * If you want to change the configuration variables of any of the
   * editors,  this is the place to do that, for example you might want to
   * change the width and height of one of the editors, like this...
   ************************************************************************
  xinha_editors.myTextArea.config.width = '640px';
  xinha_editors.myTextArea.config.height = '480px';
  /************************************************************************
   * Or remove the statusbar on the other one, like this...
   * For every possible configuration, please refer to
   * http://xinha.python-hosting.com/wiki/Documentation/ConfigVariablesList
   ************************************************************************
  xinha_editors.anotherOne.config.statusBar = false;
  /************************************************************************
   * Finally we "start" the editors, this turns the textareas into
   * Xinha editors.
   ************************************************************************/
  Xinha.startEditors(xinha_editors);
}